alter table BN_ACT_DEF add TERMINATE_PROCESS_ tinyint null
go
update BN_ACT_DEF set TERMINATE_PROCESS_ = 0
go
update BN_ACT_DEF set TERMINATE_PROCESS_ = 1 where not exists
  (select INCOMING_TR.ACTIVITY_ID_ from INCOMING_TR where INCOMING_TR.ACTIVITY_ID_ = BN_ACT_DEF.DBID_)
go

create table BN_EVENT_PROC_DEF_ (
  DBID_ numeric(19,0) identity not null,
  NAME_ varchar(255) null,
  LABEL_ varchar(255) null,
  DESCRIPTION_ varchar(255) null,
  VERSION_ varchar(255) null,
  PROC_EVNT_SUB_PROC_ID numeric(19,0) null,
  INDEX_ int null,
  primary key (DBID_)
)
go

alter table BN_PROC_DEF alter column DESCRIPTION_ text null
go
alter table BN_PROC_DEF add TYPE_ varchar(255) null
go
update BN_PROC_DEF set TYPE_ = 'PROCESS'
go
alter table BN_IEI_ add IEI_ESPRI_UUID_ varchar(255) null
go

alter table BN_DATAF_DEF add TRANSIENT_ tinyint null
go
update BN_DATAF_DEF set TRANSIENT_ = 0
go

create index IDX_EVNT_SUB_PROC_DBID_ on BN_EVENT_PROC_DEF_ (PROC_EVNT_SUB_PROC_ID)
go
alter table BN_EVENT_PROC_DEF_ add constraint FK_PROC_EVENT_SUB_PROC foreign key (PROC_EVNT_SUB_PROC_ID) references BN_PROC_DEF
go

create index IDX_IEI_ESPRI_UUID on BN_IEI_ (IEI_ESPRI_UUID_)
go