alter table BN_ACT_DEF add TERMINATE_PROCESS_ number(1,0);
update BN_ACT_DEF set TERMINATE_PROCESS_ = 0;
update BN_ACT_DEF set TERMINATE_PROCESS_ = 1 where not exists
  (select INCOMING_TR.ACTIVITY_ID_ from INCOMING_TR where INCOMING_TR.ACTIVITY_ID_ = BN_ACT_DEF.DBID_);

create table BN_EVENT_PROC_DEF_ (
  DBID_ number(19,0) not null,
  NAME_ varchar2(255 char),
  LABEL_ varchar2(255 char),
  DESCRIPTION_ varchar2(255 char),
  VERSION_ varchar2(255 char),
  PROC_EVNT_SUB_PROC_ID number(19,0),
  INDEX_ number(10,0),
  primary key (DBID_)
);

alter table BN_PROC_DEF add DESCRIPTION_TMP clob;
update BN_PROC_DEF set DESCRIPTION_TMP = DESCRIPTION_;
alter table BN_PROC_DEF drop column DESCRIPTION_;
alter table BN_PROC_DEF rename column DESCRIPTION_TMP to DESCRIPTION_;
alter table BN_PROC_DEF add TYPE_ varchar2(255 char);
update BN_PROC_DEF set TYPE_ = 'PROCESS';

alter table BN_IEI_ add IEI_ESPRI_UUID_ varchar2(255 char);

alter table BN_DATAF_DEF add TRANSIENT_ number(1,0);
update BN_DATAF_DEF set TRANSIENT_ = 0;

create index IDX_EVNT_SUB_PROC_DBID_ on BN_EVENT_PROC_DEF_ (PROC_EVNT_SUB_PROC_ID);

alter table BN_EVENT_PROC_DEF_ add constraint FK_PROC_EVENT_SUB_PROC foreign key (PROC_EVNT_SUB_PROC_ID)  references BN_PROC_DEF;

create index IDX_IEI_ESPRI_UUID on BN_IEI_ (IEI_ESPRI_UUID_);
